using System;
using NinjaTrader.Core;

internal sealed class Delegate197 : MulticastDelegate
{
	public extern GeneralOptions Invoke();

	public static GeneralOptions smethod_0(Delegate197 delegate197_1)
	{
		return delegate197_1();
	}

	public extern Delegate197(object object_0, IntPtr intptr_0);

	static Delegate197()
	{
		Class10.smethod_13(typeof(Delegate197).TypeHandle);
	}

	internal static Delegate197 delegate197_0;
}
